View Issue Details

IDProjectCategoryView StatusLast Update
0013432ScribusFontspublic2016-04-09 06:20
ReporterPeterBenedek Assigned Tojghali  
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx86 and x64OSLinux Mint OS Version17.2 (32bit)
Product Version1.5.1svn 
Target Version1.5.2Fixed in Version1.5.2.svn 
Summary0013432: Preferences > Fonts menu unresponsive i.e values can not be changed
DescriptionRevised instructions for clarity:
1) Open Preferences > Fonts > Available Fonts
2) Go to "Use Font" Column
3) 1st issue: See all the checkboxes that have the tooltip: "Click to change value" <-- these values cannot be changed
4) 2nd issue: Columns a,b,c,d,e --> modify their value --> Press OK button

Menu closes

5) reopen Preferences > Fonts > Available fonts and notice that none of the values retained their change



File -- Preferences -- Fonts
Column "Use font" --> "Chlick to change to value" : value can not be changed
Column a,b,c,d,e --> modify value --> Press OK button --> after...

File -- Preferences -- Fonts
Value unchanged!


TagsNo tags attached.
PatchNo

Relationships

has duplicate 0013803 closedjghali font selection in 'document setup' and 'properties' is not accessible 
related to 0013171 confirmed Document Setup or Preferences ... window of value fields malfunction as press 'enter' 
related to 0013813 closedjghali Font Management disabled 
related to 0013842 confirmed Unable to change space between pages in the layout 
related to 0013925 closedjghali Non persistent setting when trying to enable Arial Regular subsetting 

Activities

Kunda

2015-10-21 06:01

updater   ~0036768

Confirmed on OSX 10.10.5 1.5.1svn r20478

Dawoodalbadi

2015-10-28 10:57

reporter   ~0037033

please give more details about the problem
I couldent find what you mean use fontes and change a,b,c values

Kunda

2015-10-28 14:28

updater   ~0037042

Dawood,
1) Open Preferences > Fonts > Available Fonts
2) Go to "Use Font" Column
3) 1st issue: See all the checkboxes that have the tooltip: "Click to change value" <-- these values cannot be changed
4) 2nd issue: Columns a,b,c,d,e --> modify their value --> Press OK button

Menu closes

5) reopen Preferences > Fonts > Available fonts and notice that none of the values retained their change

Kunda

2015-10-28 14:30

updater   ~0037043

Peter, hope it's ok, I revised the instructions to reproduce the issue. Thanks for the bug report!

PeterBenedek

2015-10-28 20:03

developer   ~0037060

Yes, it's ok!

cbradney

2015-10-28 20:37

administrator   ~0037061

I'm assigning this to Avox.. its his change and he needs to finish this.

Kunda

2016-04-08 16:04

updater   ~0039909

we're starting to get other tickets that are impacted by this bug. Avox, please weigh in on this... thanks!

Kunda

2016-04-09 04:43

updater   ~0039932

Fixed in r21172 by jghali
Original fix for 0013925 but also fixes 0013803

PeterBenedek

2016-04-09 06:14

developer   ~0039942

Tested!
Excellent! Works well!

Thanks!

Issue History

Date Modified Username Field Change
2015-10-19 14:30 PeterBenedek New Issue
2015-10-21 06:01 Kunda Note Added: 0036768
2015-10-21 06:01 Kunda Priority normal => high
2015-10-21 06:01 Kunda Severity minor => major
2015-10-21 06:01 Kunda Status new => confirmed
2015-10-21 06:01 Kunda Summary Fonts can not be enable/disable ( value can not be changed) => Preferences > Fonts menu unresponsive i.e values can not be changed
2015-10-21 06:09 Kunda Target Version => 1.5.1
2015-10-25 21:14 Kunda Relationship added related to 0013171
2015-10-28 10:57 Dawoodalbadi Note Added: 0037033
2015-10-28 14:28 Kunda Note Added: 0037042
2015-10-28 14:29 Kunda Description Updated
2015-10-28 14:30 Kunda Note Added: 0037043
2015-10-28 20:03 PeterBenedek Note Added: 0037060
2015-10-28 20:37 cbradney Assigned To => avox
2015-10-28 20:37 cbradney Status confirmed => assigned
2015-10-28 20:37 cbradney Note Added: 0037061
2016-01-23 17:16 cbradney Target Version 1.5.1 => 1.5.3
2016-04-06 03:54 Kunda Relationship added related to 0013803
2016-04-06 03:55 Kunda Relationship added related to 0013813
2016-04-07 13:53 Kunda Relationship added related to 0013842
2016-04-08 16:03 Kunda Relationship added related to 0013925
2016-04-08 16:04 Kunda Note Added: 0039909
2016-04-08 20:37 jghali Status assigned => resolved
2016-04-08 20:37 jghali Fixed in Version => 1.5.2.svn
2016-04-08 20:37 jghali Resolution open => fixed
2016-04-08 20:37 jghali Assigned To avox => jghali
2016-04-09 04:43 Kunda Note Added: 0039932
2016-04-09 04:43 Kunda Target Version 1.5.3 => 1.5.2
2016-04-09 04:45 Kunda Relationship replaced has duplicate 0013803
2016-04-09 06:14 PeterBenedek Note Added: 0039942
2016-04-09 06:20 christoph_s Status resolved => closed